var window = Ti.UI.createWindow({
    backgroundColor: 'white'
});

/**
 * WARNING: You MUST copy the contents of the "Resources" in the bump module's zip
 * to your project's "Resources" folder manually before running this demo!
 *
 * Feel free to remove the below assertion once you have done so.
 */
if (!Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, 'bump_tap.aif').exists()) {
    alert('ERROR: You did not copy the contents of the "Resources" directory from the bump module\'s zip '
        + 'over to your project\'s resources directory!');
}

Titanium.Bump = Ti.Bump = require('ti.bump');

var connect = Ti.UI.createButton({
    title: 'Open Bump Dialog',
    width: 200, height: 40, top: 20
});
connect.addEventListener('click', function() {
    Ti.Bump.connect({
        apikey: '927c508381524c22b02daf5e7a17bc53', // Get an API key from http://bu.mp/apiagree
        username: Ti.Platform.username, // This sets the initial username for the user; they can customize it.
        message: 'Bump your phones together to give each other the time of day!' // Controls what is shown to the user in the bump dialog.
    });
});
window.add(connect);

var send = Ti.UI.createButton({
    title: 'Send Time of Day',
    width: 200, height: 40, top: 80
});
send.addEventListener('click', function() {
    Ti.Bump.sendMessage(new Date().getTime().toLocaleString());
});
window.add(send);

var disconnect = Ti.UI.createButton({
    title: 'Disconnect',
    width: 200, height: 40, top: 140
});
disconnect.addEventListener('click', function() {
    Ti.Bump.disconnect();
});
window.add(disconnect);

Ti.Bump.addEventListener('data', function(evt) {
    alert('Data Fired: ' + evt.data);
});
Ti.Bump.addEventListener('error', function(evt) {
    Ti.API.info('Error Fired: ' + evt.message);
});
Ti.Bump.addEventListener('disconnected', function(evt) {
    Ti.API.info('Disconnect Fired: ' + evt.message);
    send.hide();
    disconnect.hide();
});
Ti.Bump.addEventListener('connected', function(evt) {
    Ti.API.info('Connected Fired: ' + evt.username);
    send.show();
    disconnect.show();
});
Ti.Bump.addEventListener('ready', function() {
    Ti.API.info('Ready Fired.');
});
Ti.Bump.addEventListener('cancel', function() {
    Ti.API.info('Cancel Fired.');
});

window.open();
window.addEventListener('open', function() {
    send.hide();
    disconnect.hide();
});